/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Controllers.Client;

import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleLongProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher Ben Tili
 */
public class ListeClient {
    private final SimpleStringProperty code;
    private final SimpleStringProperty cin;
    private final SimpleStringProperty nomcomplet;
    private final SimpleStringProperty nom;
    private final SimpleStringProperty prenom;
    private final SimpleStringProperty naissance_str;
    private final SimpleStringProperty adresse;
    private final SimpleStringProperty tele;
    private final SimpleStringProperty tele2;
    private final SimpleIntegerProperty sexe;
    
    public ListeClient(String code, String cin, String nomcomplet, String nom, String prenom, String naissance_str, String adresse, String tele, String tele2, Integer sexe) {
        this.code = new SimpleStringProperty(code);
        this.cin = new SimpleStringProperty(cin);
        this.nomcomplet = new SimpleStringProperty(nomcomplet);
        this.nom = new SimpleStringProperty(nom);
        this.prenom = new SimpleStringProperty(prenom);
        this.naissance_str = new SimpleStringProperty(naissance_str);
        this.adresse = new SimpleStringProperty(adresse);
        this.tele = new SimpleStringProperty(tele);
        this.tele2 = new SimpleStringProperty(tele2);
        this.sexe = new SimpleIntegerProperty(sexe);
    }

    

    public String getCode() {
        return code.get();
    }

    public String getCin() {
        return cin.get();
    }

    public String getNomcomplet() {
        return nomcomplet.get();
    }

    public String getNom() {
        return nom.get();
    }

    public String getPrenom() {
        return prenom.get();
    }

    public String getNaissanceString() {
        return naissance_str.get();
    }
    
    public String getAdresse() {
        return adresse.get();
    }
    
    public String getTele() {
        return tele.get();
    }
    
    public String getTele2() {
        return tele2.get();
    }
    
    public Integer getSexe() {
        return sexe.get();
    }
}
